### Enumeration

# Fwupd SecurityAttrLevel

#### Declaration

    enum Fwupd.SecurityAttrLevel

#### Description [src]

The HSI level.

#### Members

`FWUPD_SECURITY_ATTR_LEVEL_NONE`

  Very few detected firmware protections.

  - Value: `0`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_LEVEL_CRITICAL`

  The most basic of security protections.

  - Value: `1`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_LEVEL_IMPORTANT`

  Firmware security issues considered important.

  - Value: `2`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_LEVEL_THEORETICAL`

  Firmware security issues that pose a theoretical concern.

  - Value: `3`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_LEVEL_SYSTEM_PROTECTION`

  Out-of-band protection of the system firmware.

  - Value: `4`
  - Available since: 1.5.0
`FWUPD_SECURITY_ATTR_LEVEL_SYSTEM_ATTESTATION`

  Out-of-band attestation of the system firmware.

  - Value: `5`
  - Available since: 1.5.0